<div class="employee-dialog">

  <mat-toolbar class="mb-2">
    <span>{{employeeService.employeeForm.controls['$key']?.value ? "Edycja pracownika" : "Dodawanie pracownika"}}</span>
    <span class="fill-remaining-space"></span>
    <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
      <mat-icon matTooltip="Zamknij">clear</mat-icon>
    </button>
  </mat-toolbar>

  <form [formGroup]="employeeService.employeeForm" (submit)="onSubmit()">
    <div fxLayout="row" fxLayout.xs="column" fxLayoutGap="20px">

      <div class="container" fxFlex fxLayout="column">
        <h2 class="mat-title">Dane osobowe</h2>

        <input type="hidden" formControlName="$key">

        <mat-form-field>
          <input formControlName="firstName" matInput placeholder="Imię*">
          <mat-error>
            Imię pracownika jest wymagane i musi składać się conajmniej z 3 znaków.
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="lastName" matInput placeholder="Nazwisko*">
          <mat-error>
            Nazwisko pracownika jest wymagane i musi składać się conajmniej z 3 znaków.
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="email" matInput placeholder="Email*">
          <mat-error>Nieprawidłowy adres email.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="phoneNumber" #phoneNumber matInput placeholder="Numer telefonu" maxlength="9"
                 required>
          <mat-error>To pole jest wymagane i musi składać się z 9 cyfr.
          </mat-error>
          <mat-hint align="end">{{phoneNumber.value.length}} / 9</mat-hint>
        </mat-form-field>

        <mat-radio-group formControlName="gender">
          <mat-label>Płeć:</mat-label>
          <mat-radio-button value="male">Mężczyzna</mat-radio-button>
          <mat-radio-button value="female">Kobieta</mat-radio-button>
          <mat-radio-button value="other">Inna</mat-radio-button>
        </mat-radio-group>
      </div>

      <div class="container" fxFlex fxLayout="column">
        <h2 class="mat-title">Adres</h2>

        <mat-form-field>
          <input formControlName="city" matInput placeholder="Miasto">
        </mat-form-field>
        <mat-form-field>
          <input formControlName="zipCode" matInput placeholder="Kod pocztowy">
        </mat-form-field>
        <mat-form-field>
          <input formControlName="houseNo" matInput placeholder="Numer domu">
        </mat-form-field>
        <mat-form-field>
          <input formControlName="flatNo" matInput placeholder="Numer mieszkania">
        </mat-form-field>
        <mat-form-field>
          <input formControlName="province" matInput placeholder="Województwo">
        </mat-form-field>
      </div>

      <div class="container" fxFlex fxLayout="column">
        <h2 class="mat-title">Zatrudnienie</h2>

        <mat-form-field>
          <mat-select formControlName="position" placeholder="Stanowisko"
                      [value]="employeeService.employeeForm.get('position').value">
            <mat-option *ngFor="let position of (positions$ | async)"
                        value="{{position?.id}}"> {{position?.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field>
          <mat-select formControlName="department" placeholder="Dział"
                      [value]="employeeService.employeeForm.get('department').value">
            <mat-option *ngFor="let department of (departments$ | async)"
                        value="{{department?.id}}"> {{department?.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="hireDate" matInput [matDatepicker]="picker" placeholder="Data zatrudnienia">
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>

        <div class="button-row">
          <button mat-raised-button color="primary" type="submit" [disabled]="employeeService.employeeForm.invalid">
            Zapisz
          </button>
          <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
        </div>

      </div>

    </div>

  </form>

</div>
